#
# spec file for package apache2-mod_macro (Version 1.1.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           apache2-mod_macro
BuildRequires:  apache2-devel pcre-devel
%define modname mod_macro
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:        1.1.6
Release:        19.2
License:        BSD, Other License(s), see package
Group:          Productivity/Networking/Web/Servers
Requires:       apache2 %{apache_mmn} 
Autoreqprov:    on
Summary:        Define and Use Macros within the Apache Configuration
URL:            http://www.coelho.net/mod_macro/
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#Docdir:       %{_defaultdocdir}/%{apache}

%description
mod_macro is a third-party module for the Apache HTTP Server.  It is
distributed with a BSD-style license similar to Apache. It allows the
definition and use of macros within Apache runtime configuration files.

To load the module into Apache, add it to APACHE_MODULES in
/etc/sysconfig/apache2. To learn about the configuration, refer to
/usr/share/doc/packages/apache2-mod_macro/mod_macro.html



Authors:
--------
    Fabien Coelho <fabien@coelho.net>

%debug_package
%prep
%setup -n %{modname}-%{version}

%build
%{apxs} -c mod_macro.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p .libs/mod_macro.so $RPM_BUILD_ROOT/%{apache_libexecdir}

%files
%defattr(-,root,root)
%doc README
%doc INSTALL
%doc CHANGES
%doc LICENSE
%doc mod_macro.html
%{apache_libexecdir}/%{modname}.so

%changelog -n apache2-mod_macro
* Mon Jan 30 2006 - poeml@suse.de
- removed libapr-util1-devel from BuildRequires (apache2-devel does
  require it)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 05 2005 - dmueller@suse.de
- add norootforbuild
* Tue Jan 25 2005 - poeml@suse.de
- move usage hints from %%post into package description
* Tue Sep 07 2004 - poeml@suse.de
- update to 1.1.6. Changes:
- license fixed to match apache's license evolutions wrt the
  'advertising clause'
* Mon Jul 28 2003 - poeml@suse.de
- initial package (1.1.4)
